org.apache.hadoop.yarn.api.records.impl.pb

## Class URLPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.URL
  - - org.apache.hadoop.yarn.api.records.impl.pb.URLPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class URLPBImpl
      extends org.apache.hadoop.yarn.api.records.URL

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLPBImpl()`
    `URLPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.URLProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `String` | `getFile()`
    `String` | `getHost()`
    `int` | `getPort()`
    `org.apache.hadoop.yarn.proto.YarnProtos.URLProto` | `getProto()`
    `String` | `getScheme()`
    `String` | `getUserInfo()`
    `int` | `hashCode()`
    `void` | `setFile(String file)`
    `void` | `setHost(String host)`
    `void` | `setPort(int port)`
    `void` | `setScheme(String scheme)`
    `void` | `setUserInfo(String userInfo)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.URL

      `fromPath, fromPath, fromURI, fromURI, newInstance, toPath`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### URLPBImpl

          public URLPBImpl()

    - #### URLPBImpl

          public URLPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.URLProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.URLProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFile

          public String getFile()

      Specified by:
        `getFile` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### setFile

          public void setFile(String file)

      Specified by:
        `setFile` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### getScheme

          public String getScheme()

      Specified by:
        `getScheme` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### setScheme

          public void setScheme(String scheme)

      Specified by:
        `setScheme` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### getUserInfo

          public String getUserInfo()

      Specified by:
        `getUserInfo` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### setUserInfo

          public void setUserInfo(String userInfo)

      Specified by:
        `setUserInfo` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### getHost

          public String getHost()

      Specified by:
        `getHost` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### setHost

          public void setHost(String host)

      Specified by:
        `setHost` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### getPort

          public int getPort()

      Specified by:
        `getPort` in class `org.apache.hadoop.yarn.api.records.URL`

    - #### setPort

          public void setPort(int port)

      Specified by:
        `setPort` in class `org.apache.hadoop.yarn.api.records.URL`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.